yaml 0.1.6

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
yaml_simple_key_s Struct Reference
Parser Definitions

This structure holds information about a potential simple key. More...

`#include <yaml.h>`

## Data Fields
int | possible
| Is a simple key possible?
int | required
| Is a simple key required?
size_t | token_number
| The number of the token.
yaml_mark_t | mark
| The position mark.

## Detailed Description

This structure holds information about a potential simple key.

## Field Documentation

size_t yaml_simple_key_s::token_number

The number of the token.

yaml_mark_t yaml_simple_key_s::mark

The position mark.

The documentation for this struct was generated from the following file:

- yaml.h